[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# multiply(Tmatrix2_single,Tvector2_single):Tvector2_single

Give product of a two-dimensional single precision matrix and vector

## Declaration

Source position: matrix.pp line 572

`operator operator *(`
`const m: Tmatrix2_single;`
`const v: Tvector2_single`
`):Tvector2_single;`

## Description

This operator allows you to multiply a two-dimensional single precision matrices with a two dimensional single precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.